﻿/*
ESTILOS PARA CONTROLES EN GENERAL
*/
.myCalendar {
	background-color: #f2f2f2;
	width: 156px;
	border: 3px solid #4CCAEF !important;
	border-top: 0px !important;
}

	.myCalendar a {
		text-decoration: none;
	}

	.myCalendar .myCalendarTitle {
		font-weight: bold;
		height: auto;
		line-height: inherit;
		background-color: #4CCAEF;
		color: #ffffff;
	}

	.myCalendar th.myCalendarDayHeader {
		height: 25px;
		border-bottom: outset 2px #fbfbfb;
		border-right: outset 2px #fbfbfb;
	}

	.myCalendar td.myCalendarDay {
		border: outset 2px #fbfbfb;
	}

		.myCalendar td.myCalendarDay:nth-child(7) a {
			color: #c52e2e !important;
		}

	.myCalendar .myCalendarNextPrev {
		text-align: center;
	}

		.myCalendar .myCalendarNextPrev a {
			font-size: 12px;
		}

		.myCalendar .myCalendarNextPrev:nth-child(1) a {
			color: #ffffff !important;
			background: url("prevMonth.png") no-repeat center center;
		}

			.myCalendar .myCalendarNextPrev:nth-child(1) a:hover, .myCalendar .myCalendarNextPrev:nth-child(3) a:hover {
				background-color: transparent;
			}

		.myCalendar .myCalendarNextPrev:nth-child(3) a {
			color: #ffffff !important;
			background: url("nextMonth.png") no-repeat center center;
		}

	.myCalendar td.myCalendarSelector a {
		background-color: #25bae5;
	}

	.myCalendar .myCalendarDayHeader a,
	.myCalendar .myCalendarDay a,
	.myCalendar .myCalendarSelector a,
	.myCalendar .myCalendarNextPrev a {
		display: block;
		line-height: 20px;
	}

	.myCalendar .myCalendarToday {
		background-color: #f2f2f2;
		-webkit-box-shadow: 0 0 7px 3px #e5e5e5;
		box-shadow: 0 0 7px 3px #e5e5e5;
	}

		.myCalendar .myCalendarToday a {
			color: #25bae5 !important;
		}

	.myCalendar .myCalendarDay a:hover,
	.myCalendar .myCalendarSelector a:hover {
		background-color: #25bae5;
	}

.selected 
{ 
    font-size: 11px;
    font-family: Verdana;
    background: #C4DFE6;
    color:#000000;
    white-space:normal;
    border-right: #375E97 1px solid;
    border-top: #375E97 1px solid;
    border-left: #375E97 1px solid;
    border-bottom: #375E97 1px solid;
}

.autocomplete UL { LIST-STYLE-TYPE: none; }

.LabelMensaje
{
	font-family: Verdana;
	font-size: x-small;
	font-weight: bold;
}
.LabelTitulo
{
	font-size: small;
	font-weight: bold;
}
.LabelItem
{
	font-weight: bold;
	font-size: x-small;
}
.LabelItemError
{
	font-weight: bold;
	font-size: x-small;
	color: Red;
}

.LabelItemErrorMediano {
	font-weight: bold;
	font-size: small;
	color: Red;
}

.LabelItemErrorGrande
{
	font-weight: bold;
	font-size: medium;
	color: Red;
}

.LabelItemDet
{
	font-weight: bold;
	font-size: x-small;
	text-align: left;
}
.LabelItemReport
{
	font-size: x-small;
}
.HyperLink
{
	font-size: larger;
	text-decoration: underline;
	color: #F69454;
	cursor: hand;
}
.TextBox
{
	font-size: x-small;
	border: 1px solid #848484;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	padding-left:5px;
	padding-right:5px;
	height:15px;
	width: 50px;
}
.TextBoxIniciales
{
	border: 1px solid #375E97;
	font-family: Verdana;
		font-size: x-small;
		height: 14px;
		vertical-align:middle;
}
.TextBoxWeb
{
	border-right: #375E97 1px solid;
	border-top: #375E97 1px solid;
	font-family: Verdana;
	font-size: x-small;	
	border-left: #375E97 1px solid;
	border-bottom: #375E97 1px solid;
}
.TextBoxMinusculas
{
	font-size: x-small;
	border: 1px solid #848484;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	padding-left:5px;
	padding-right:5px;
	height:15px;
	width: 50px;
}
.HiddenTextBox
{
	background-color: #DADADA;
	border-top-style: none;
	border-right-style: none;
	border-left-style: none;
	border-bottom-style: none;
}
.HiddenTextBox2
{
	background-color: #DADADA;
	border-top-style: none;
	border-right-style: none;
	border-left-style: none;
	border-bottom-style: none;
}
.HiddenTextBox3
{
	background-color: #DADADA;
	border-top-style: none;
	border-right-style: none;
	border-left-style: none;
	border-bottom-style: none;
}
.Button {
  appearance: none;
  backface-visibility: hidden;
  background-color: #4897D8;
  border-radius: 8px;
  border-style: none;
  box-shadow: rgba(29, 164, 86, .15) 0 2px 4px;
  box-sizing: border-box;
  color: #fff;
  cursor: pointer;
  display: inline-block;
  font-family: Inter,-apple-system,system-ui,"Segoe UI",Helvetica,Arial,sans-serif;
  font-size: 10px;
  font-weight: 200;
  letter-spacing: normal;
  line-height: 1.5;
  outline: none;
  overflow: hidden;
  padding: 4px 8px;
  position: relative;
  text-align: center;
  text-decoration: none;
  transform: translate3d(0, 0, 0);
  transition: all .3s;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  vertical-align: top;
  white-space: nowrap;
	top: 0px;
	left: 0px;
	}

.Button:hover {
  background-color: #1e8449;
  opacity: 1;
  transform: translateY(0);
  transition-duration: .35s;
}

.Button:focus {  
    background:#4897D8;
}

.Button:disabled {
  background-color: #7d7f7d;
}

.Button:active {
  transform: translateY(2px);
  transition-duration: .35s;
}

.Button:hover {
  box-shadow: rgba(39, 174, 96, .2) 0 4px 8px;
}
.DropDownList
{
	font-family: Verdana;
	font-size: x-small;
	margin-left: 4px;
	border: 1px solid #848484;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	padding-left:5px;
	padding-right:5px;
	
}
.CheckBox
{
	font-family: Verdana;
	font-size: x-small;
}
.RadioButton
{
	font-family: Verdana;
	font-size: x-small;
}
.ListBox
{
	font-family: Verdana;
	font-size: x-small;
}
.GridViewHeader
{
background-color: #646464;
font-family: Arial;
color: White;
border: none 0px transparent;
height: 25px;
text-align: left;
font-size: 11px;
text-align: center;
}
.GridViewItem
{
	font-size: 11px;
}
.GridViewRow
{
	font-size: 11px;
	font-family: Arial;
	background-color: #F5FFFA;
	color: black;
	border: none 0px transparent;
	border-bottom: gray 1px ;
    height: 25px;
}
.GridViewAlternating
{
	font-size: 11px;
	font-family: Arial;
	background-color: #B0C4DE;
	color: black;
	border: none 0px transparent;
	border-bottom: gray 1px ;
}
.GridViewFooter
{
	font-size: x-small;
	background-color: #FFFFFF;
	color: Black;
	font-weight: bold;
}

.GridViewItem2
{
	font-size: 11px;
}
.GridViewRow2
{
	font-size: 11px;
	font-family: Arial;
	background-color: #F5FFFA;
	color: black;
	border: none 1px gray;
	border-bottom: gray 1px ;
    height: 25px;
}
.GridViewAlternating2
{
	font-size: 11px;
	font-family: Arial;
	background-color: #B0C4DE;
	color: black;
	border: none 1px gray;
	border-bottom: gray 1px ;
}

.Imagen
{
	cursor: hand;
}
.BodyPrincipal
{
	background-color: #F1F1F2;
	font-family: Verdana;
	font-size: x-small;
	margin-top: 1px;
	height: 100%	
}
BODY
{
	background-color: #F1F1F2;
	font-family: Verdana;
	font-size: x-small;
	margin-top: 1px;
}

/*
ESTILOS PARA LOS TOOLTIPS DE AYUDA
*/

#dhtmlgoodies_tooltip
{
	background-color:#EEE;
	border:1px solid #000;
	position:absolute;
	display:none;
	z-index:20000;
	padding:2px;
	font-size:0.9em;
	-moz-border-radius:6px;	/* Rounded edges in Firefox */
	font-family: "Trebuchet MS", "Lucida Sans Unicode", Arial, sans-serif;
}

#dhtmlgoodies_tooltipShadow
{
	position:absolute;
	background-color:#555;
	display:none;
	z-index:10000;
	-khtml-opacity: 0.7;
	-moz-opacity: 0.7;
	-moz-border-radius:6px;	/* Rounded edges in Firefox */
}

/*
ESTILOS ESPECIALES PARA PROGRAMACION
*/

.TextBoxGlosa
{
	border: 1px solid #848484;
	border-top: #375E97 1px solid;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxCantidad
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxCantidadIRBMP
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxValorIRBMP
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxContenido
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxCostoIva
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxCostoPorIva
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxContenidoItem
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxCantCajas
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxCantUnidades
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxUnidad
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxPrecioOrig
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxDesc
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxDescItem
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxPrecioDesc
{
	bborder: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxSubTotal
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxTotal
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxValorIva
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxPorcIva
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxBodega
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextCodInternoItem
{
	background-color: #DADADA;
	border-top-style: none;
	border-right-style: none;
	border-left-style: none;
	border-bottom-style: none;
}
.TextBoxNumDoc
{
	border-right: #375E97 1px solid;
	border-top: #375E97 1px solid;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	border-left: #375E97 1px solid;
	border-bottom: #375E97 1px solid;
}
.TextBoxNumChq
{
	border-right: #375E97 1px solid;
	border-top: #375E97 1px solid;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	border-left: #375E97 1px solid;
	border-bottom: #375E97 1px solid;
}
.TextBoxValor
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxPrecioVta
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;

}
.TextBoxNumAutorizacion
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxFechaCaduc
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxValorRecibido
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxValorEfectivo
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxValorCambio
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxValorDebe
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}
.TextBoxValorHaber
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}

.TextBoxMatiz
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}

.TextBoxRecepCantidad
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}

.TextBoxRecepCantCajas
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}

.TextBoxRecepCantUnidades
{
	border: 1px solid #848484;
	font-family: Verdana;
	font-size: x-small;
	text-transform: uppercase;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	outline:0;
	height:15px;
	width: 50px;
	padding-left:5px;
	padding-right:5px;
	
}